<?php

namespace Alike\App; 
/**
*
*/
class Ra_Shortcodes extends Ra_Template
{

  public function __construct()
  {
    $shortcodes = array(
      'alike_link'    => 'alike_link',
      'alike_widget'  => 'alike_widget',
      'alike_preview' => 'alike_preview',
      'alike_preview_two' => 'alike_preview_two',
    );

    foreach ( $shortcodes as $shortcode => $function ) {
      add_shortcode ( $shortcode, array( $this, $function ) );
    } 
  }

  public function alike_link( $atts )
  {
    extract( shortcode_atts(
      array(
        'text'          => __('Add To Compare', 'alike'),
        'preview'       => 'text', // text, icon, text_icon, icon_text
        'icon_class'    => 'ion-arrow-swap',
        'parent_class'  => '',
        'post_id'       => null,
      ), $atts ) 
    );
    ob_start();
    $template = $this->locate_template('shortcodes/alike-link.php');
    include($template);
    return ob_get_clean();
  }

  public function alike_widget( $atts )
  {
    extract( shortcode_atts(
      array(
        'page_id' => '',
      ), $atts ) 
    );
    ob_start();
    $template = $this->locate_template('shortcodes/alike-widget.php');
    include($template);
    return ob_get_clean();
  }
  public function alike_preview( $atts )
  {
    extract( shortcode_atts(
      array(), $atts ) 
    );
    ob_start();
    $template = $this->locate_template('shortcodes/alike-preview.php');
    include($template);
    return ob_get_clean();
  }
  public function alike_preview_two( $atts )
  {
    extract( shortcode_atts(
      array(), $atts ) 
    );
    ob_start();
		$template = $this->locate_template('shortcodes/alike-preview-two.php');
	include($template);
    return ob_get_clean();
  }
}